/* OAIHTMLProcessor.h created by luke on Wed 24-Feb-1999 */

#import <Foundation/Foundation.h>
#import <OmniBase/OmniBase.h>
#import <OmniFoundation/OmniFoundation.h>
#import <OWF/OWF.h>

@interface OAIHTMLProcessor : OWSGMLProcessor
{
    OWObjectStream *objectStream;
    OFStringScanner *tokenGroupScanner;
}

+ (OWSGMLDTD *)dtd;
+ (OWContentType *)destinationType;

- (id)initWithPipeline:(OWPipeline *)aPipeline;

- (void)processImageTag:(OWSGMLTag *)tag;
- (void)processMetaTag:(OWSGMLTag *)tag;
- (void)processCData:(NSString *)cData;

- (void)processTokenGroup:(NSString *)tokenString;

@end
