// Copyright 1998 Omni Development, Inc.  All rights reserved.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OmniAIAT/Tokenizers.subproj/OAIHTMLTokenizer.h,v 1.1 1999/10/12 03:31:43 luke Exp $

#import <Foundation/NSObject.h>
#import <OWF/OWF.h>
#import <OmniAIAT/OAITokenizerProtocol.h>

@class OFStringScanner;

@interface OAIHTMLTokenizer : NSObject <OAITokenizer, OAITokenizerInstance, OWTarget>
{
    NSLock *processingLock;
    NSString *targetString;
    OFStringScanner *targetScanner;
    OWObjectStream *tokenStream;
    OWObjectStreamCursor *tokenCursor;

    BOOL isDebug;
    BOOL hasStartedPipeline;
}

- initWithScanner:(OFStringScanner *)aScanner;

@end
